* { box-sizing:border-box; }
body 				 { 
  margin: 0;
  font-family: 'Roboto', sans-serif;
  font-size: 18px;
}
h2 		 { 
  text-align:center; 
  margin-bottom:50px; 
}
h2 small { 
  font-weight:normal; 
  color:#888; 
  display:block; 
}
/* form starting stylings ------------------------------- */
.group 			  { 
  position:relative; 
  margin-bottom:35px; 
}
input 				{
  font-size:18px;
  padding:10px 10px 10px 5px;
  display:block;
  width: 100%;
  border:none;
}
input:focus 		{ outline:none; }

/* LABEL ======================================= */
label 				 {
  color:#999; 
  font-size:18px;
  font-weight:normal;
  position:absolute;
  pointer-events:none;
  left:5px;
  top:10px;
  transition:0.2s ease all; 
  -moz-transition:0.2s ease all; 
  -webkit-transition:0.2s ease all;
}

/* active state */
input:focus ~ label, input.input_active ~ label 		{
  top:-12px;
  font-size:14px;
  color:rgba(0,0,0,.6);
}

/* BOTTOM BARS ================================= */
.bar 	{ position:relative; display:block; width:100%; height: 1px; background: #757575;}
.bar:before, .bar:after 	{
  content:'';
  height:2px; 
  width:0;
  bottom:0px; 
  position:absolute;
  background:rgba(0,0,0,.6); 
  transition:0.2s ease all; 
  -moz-transition:0.2s ease all; 
  -webkit-transition:0.2s ease all;
}
.bar:before {
  left:50%;
}
.bar:after {
  right:50%; 
}

/* active state */
input:focus ~ .bar:before, input:focus ~ .bar:after {
  width:50%;
}

/* HIGHLIGHTER ================================== */
.highlight {
  position:absolute;
  height:60%; 
  width:100px; 
  top:25%; 
  left:0;
  pointer-events:none;
  opacity:0.5;
}

/* active state */
input:focus ~ .highlight {
  -webkit-animation:inputHighlighter 0.3s ease;
  -moz-animation:inputHighlighter 0.3s ease;
  animation:inputHighlighter 0.3s ease;
}

/* ANIMATIONS ================ */
@-webkit-keyframes inputHighlighter {
	from { background:rgba(0,0,0,.6); }
  to 	{ width:0; background:transparent; }
}
@-moz-keyframes inputHighlighter {
	from { background:rgba(0,0,0,.6); }
  to 	{ width:0; background:transparent; }
}
@keyframes inputHighlighter {
	from { background:rgba(0,0,0,.6); }
  to 	{ width:0; background:transparent; }
}

.auth{
    width: 100%;
    min-height: calc(100vh - 38px);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 32px 0;
}
.auth__form{
  width: 300px;
}
.auth__logo{
    margin-bottom: 2rem;
    margin-top: auto;
    width: 7rem;
    height: 7rem;
}
.auth__logo img{
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}
.auth__content{
    margin-bottom: auto;
}

.auth__submit {
  margin-top: 1rem;
  cursor: pointer;
  transition: background 0.3s ease;
  background: #15ab96;
  color: #fff;
  border-radius: 4px;
  font-weight: 500;
  transition: background 0.3s ease;
  font-family: 'Roboto', sans-serif;
  -webkit-appearance: button;
}

.auth__submit:hover{
  background: #00BFA5;
}

.input_password{
  width: calc(100% - 35px);
}

.input_button{
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 10px;
    right: 5px;
    padding: 0;
    border: none;
    background: transparent;
    z-index: 2;
    cursor: pointer;
    opacity: 0.54;
    transition: opacity 0.3s ease;
}
.input_button:hover{
    opacity: 1;
}

.icon{
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.auth__2fa_time{
  margin-top: 0.5rem;
}

.auth__footer{
  font-size: 16px;
  line-height: 1.5;
  color: #333;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  padding: 0 32px;
}
.auth__footer a {
  color: inherit;
  text-decoration: none;
}
.auth__footer a:hover, .auth__footer a:active{
  color: inherit;
}

.btn_disable{
  opacity: 0.5;
  pointer-events: none;
}

.error_mess{
  color: #f44336;
}
.mb-0{
  margin-bottom: 0;
}